/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

strong{
  font-weight:600;
}

.marker-square li{
	list-style-type: square;
}

.marker-square li::marker{
	color: var(--primary);
}

/************************************** 
/*          Sticky header            */
/**************************************/
#brx-header.brx-sticky.scrolling > .brxe-section {
	padding-block: 10px;
	border-bottom: 1px solid var(--bg-rectangle);
}

/****************************** 
/* Fluent Forms Styling */
/******************************/

.fluentform .ff-el-form-control{
    padding: 10px 20px !important; 
    background-color: var(--base) !important; 
    border: 1px solid var(--primary-cta-stroke) !important;
    border-radius: 0px !important; 
	font-size: var(--text-m) !important;
    line-height: 1.5 !important; 
    color: var(--secondary) !important; 
	height: auto !important;
}

.fluentform .ff-el-form-control::placeholder{
	 color: var(--secondary-trans-60) !important;	
}

/*Change label styles*/
.fluentform .ff-el-input--label label,
.fluentform .ff_t_c{
    font-size: var(--text-m) !important; 
    color:var(--secondary) !important; 
	font-weight: 400 !important;
}

.fluentform .ff_t_c{
	font-size: calc(var(--text-m) * 0.9) !important; 
}

.fluentform .ff-el-tooltip svg {
	fill: var(--primary) !important;
}

.fluentform .ff-dropzone .ff_upload_btn.ff-btn{
	border: 1px dashed var(--primary-cta-stroke) !important;
}

/* Change button style*/
.fluentform .ff-btn-submit {
	background-color: var(--transparent) !important;
    color: var(--base) !important;
	padding-block: var(--btn-padding-block) !important;
    padding-inline: var(--btn-padding-inline) !important;
    min-inline-size: var(--btn-min-width) !important;
    line-height: var(--btn-line-height) !important;
	border-width: var(--btn-border-width) !important;
    border-style: var(--btn-border-style) !important;
    border-radius: var(--btn-radius) !important;
    border-color: var(--btn-border-color) !important;
	font-weight: var(--btn-font-weight) !important;
    position: relative !important;
    z-index: 0 !important;
	opacity: 1 !important;

}

.fluentform .ff-btn-submit:hover {
 	background-color: var(--primary) !important;
}

.fluentform fieldset > div:nth-last-child(3){
	margin-bottom: 0 !important;
}

/*Change button hover style*/

.fluentform .ff-btn-submit::before{
	content: '';
	position: absolute;
	width: 100%;
    height: 100%;
    border: 2px solid var(--primary-cta-stroke);
	z-index: 1 !important;
	top: 0;
	left:0;
}

.fluentform .ff-btn-submit::after{
	content: '';
	position: absolute;
	width: 100%;
    height: 100%;
    background-color: var(--primary);
    z-index: -1;
    top: 7px;
    left: 7px;
    transition: all 0.2s ease;
}

.fluentform .ff-btn-submit:hover::after{
  	top: 0px;
	left: 0px;
}

/****************************** 
/* GDPR Cookie Banner         */
/******************************/
@media (min-width: 421px){
	#moove_gdpr_cookie_info_bar {
		max-height: 500px !important;	
	}
}

.gdpr_infobar_postion_bottom_left{
	max-width: 500px !important;
	width: 90% !important;
	box-shadow: 0 4px 8px 0 var(--base-trans-10);
}

.moove-gdpr-info-bar-content{
	display: flex;
	flex-direction: column;
	align-items: flex-start !important;
}

.moove-gdpr-info-bar-content .moove-gdpr-button-holder{
	padding: 0 !important;
	width: 100%;
	flex-direction: column;
}

/* All button */
.mgbutton{
	color: var(--base) !important;
	background-color: var(--primary-semi-light) !important;
	border-color: var(--primary) !important;
	font-weight: 500 !important;
	padding: 0.75em 1.5em !important;
}

.mgbutton:hover{
	background-color: var(--primary-hover) !important;
	border-color: var(--primary-hover) !important;
}

/* Accept button on infobar*/
.moove-gdpr-infobar-allow-all{
	min-width: 180px !important;
    text-align: center !important;
	font-size: 1rem !important;
	font-weight: 500 !important;
}

/* Reject button on infobar*/
.moove-gdpr-info-bar-content button.moove-gdpr-infobar-reject-btn{
    background-color: transparent !important;
    color: #202020 !important;
    font-size: 13px !important;
    padding: 10px 0 0 0 !important;
	text-align: center;
}

/* Close button on infobar */
.moove-gdpr-infobar-close-btn i{
	top: 11px !important;
	right: -10px !important;
	overflow: visible !important;
}

.moove-gdpr-cookie-notice > p{
	margin-bottom: 1em !important;
}

/* Modal Accept All button*/
.moove-gdpr-modal-allow-all{
	color: var(--base) !important;
	background-color: var(--primary) !important;
	border-color: var(--primary) !important;
}

.moove-gdpr-modal-allow-all:hover{
	color: var(--base) !important;
	background-color: var(--primary-hover) !important;
	border-color: var(--primary-hover) !important;
}

/* Modal Save Setting button*/
.moove-gdpr-modal-save-settings{
	color: var(--base-dark) !important;
	background-color: var(--white) !important;
	border-color: var(--base-dark) !important;
}

.moove-gdpr-modal-save-settings:hover{
	background-color: var(--base-ultra-light) !important;
	color: var(--base-dark) !important;
}

@media (max-width: 766px){
	.moove-gdpr-infobar-close-btn{
		position: absolute !important;
		top: 5px;
		right: 5px;
	}
	
	.moove-gdpr-infobar-close-btn i{
		top: 0px !important;
		right: unset !important;
		left: 14px !important;
	}
	
	.cookie-popup-img{
		width: 77px !important;
	}
	
	.moove-gdpr-modal-footer-content .moove-gdpr-button-holder{
	  	padding-inline: 10px !important;
		margin-bottom: 0px !important;
	}
	
	.moove-gdpr-modal-footer-content .mgbutton{
		padding: 0.5em 1.5em !important;
	}
	
}

@media screen and (max-width: 767px) and (orientation: portrait){
	.moove-gdpr-modal-footer-content{
		height: 74px !important;	
	}
	
	.moove-gdpr-modal-footer-content:before{
		bottom: 74px !important;
	}
	
	.moove-gdpr-modal-footer-content .mgbutton{
		padding: 0.4em 1.5em !important;
	}
}

@media (max-width: 420px){
	.moove-gdpr-cookie-notice p{
		font-size: 13px !important;
	}
	
	#moove_gdpr_cookie_info_bar {
		max-height: 500px !important;	
	}
}


/************************************** 
/*        Animation overriding        */
/**************************************/
@-webkit-keyframes cwd_fadeInUp {
	0% {
		opacity: 0;
		transform: scale(1) translate3d(0,50px,0);
	}

	to {
		opacity: 1;
		transform: scale(1) translateZ(0);
	}
}

@keyframes cwd_fadeInUp {
	0% {
		opacity: 0;
		transform: scale(1) translate3d(0,50px,0);
	}

	to {
		opacity: 1;
		transform: scale(1) translateZ(0);
	}
}

.brx-body .brx-animate-fadeInUp {
	animation-name: cwd_fadeInUp
}

@-webkit-keyframes cwd_fadeInLeft {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(-50px,0,0);
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

@keyframes cwd_fadeInLeft {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(-50px,0,0);
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

.brx-body .brx-animate-fadeInLeft {
    animation-name: cwd_fadeInLeft
}

@-webkit-keyframes cwd_fadeInRight {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(50px,0,0)
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

@keyframes cwd_fadeInRight {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(50px,0,0);
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

.brx-body .brx-animate-fadeInRight {
    animation-name: cwd_fadeInRight
}

@-webkit-keyframes cwd_fadeInDown {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(0,-50px,0);
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

@keyframes cwd_fadeInDown {
    0% {
        opacity: 0;
        transform: scale(1) translate3d(0,-50px,0);
    }

    to {
        opacity: 1;
        transform: scale(1) translateZ(0);
    }
}

.brx-body .brx-animate-fadeInDown {
    animation-name: cwd_fadeInDown
}